Task Metadata Search

Get tasks by project ID and foreign key ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
Project ID

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

foreignKeystringOptional
Foreign Key ID
isSystembooleanOptionalDefaults to false

If metadata is for system or customer, isSystem = true is only of ProjectManager

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.